#--------------------------------------------------------------------------------------------------------------
#--------------------------------------------------------------------------------------------------------------
# Name: git
# Description: Git is software for tracking changes in any set of files, usually used for coordinating work 
# among programmers collaboratively developing source code during software development. Its goals include 
# speed, data integrity, and support for distributed, non-linear workflows
# More Information: https://git-scm.com/
#--------------------------------------------------------------------------------------------------------------
#--------------------------------------------------------------------------------------------------------------

#--------------------------------------------------------------------------------------------------------------
#
# Begin git make targets
#
#--------------------------------------------------------------------------------------------------------------

#--------------------------------------------------------------------------------------------------------------
# git install
#--------------------------------------------------------------------------------------------------------------
git/install: apt/update-upgrade-software-properties-common
	apt install -y git
	git --version

#--------------------------------------------------------------------------------------------------------------
#--------------------------------------------------------------------------------------------------------------
#
# End git make targets
#
#--------------------------------------------------------------------------------------------------------------
#--------------------------------------------------------------------------------------------------------------
